add/urls.py
from django.urls import path

from add.views import add, detail
from add import views

app_name = 'add'

urlpatterns = [
    path('', add, name='add'),
    path('detail/<int:detail_id>/', detail, name='detail')

]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
]

profil/urls.py
from django.urls import path

from . import views

app_name = 'profil'

urlpatterns = [
	path('', views.profile, name='profile'),
    path('arnold/', views.arnold, name='arnold'),
    path('renatta/', views.renatta, name='renatta'),
    path('juna/', views.juna, name='juna'),
    path('farahquin/', views.farahquin, name='farahquin'),
    path('', views.index, name='index'),
]

resePan/urls.py
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.views.static import serve
from .settings import MEDIA_ROOT


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('add/', include('add.urls')),
    path('review/', include('review.urls')),
    path('search/', include('search.urls')),
    path('profil/', include('profil.urls')),
    path('media/<path:path>', serve, {'document_root':settings.MEDIA_ROOT})
]


# urlpatterns += staticfiles_urlpatterns()
# urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

review/urls.py
from django.urls import path

from . import views

app_name = 'review'

urlpatterns = [
        path('ulasan', views.ulasan, name='ulasan'),
        path('listReview', views.listReview, name='listReview'),
        path('result/<int:id>',views.remove, name = 'remove'),



]

search/urls.py
from django.urls import path

from .views import idx, result_by_max_keyword

app_name = 'search'

urlpatterns = [
	path('', idx, name='idx'),
	path('<str:pk>', result_by_max_keyword, name='res_max')
]

templates/blog.html
<!DOCTYPE html>
{% load static %}
<html lang="en"><!-- Basic -->
<head>
	<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">   
   
    <!-- Mobile Metas -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
     <!-- Site Metas -->
    <title>Resepan</title>  
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Site Icons -->
    <link rel="shortcut icon" href="{% static 'images/favicon.ico' %}" type="image/x-icon">
    <link rel="apple-touch-icon" href="{% static 'images/apple-touch-icon.png' %}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">    
	<!-- Site CSS -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}">    
    <!-- Responsive CSS -->
    <link rel="stylesheet" href="{% static 'css/responsive.css' %}">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="{% static 'css/custom.css' %}">

    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>
	<!-- Start header -->
	<header class="top-navbar">
		<nav class="navbar navbar-expand-lg navbar-light bg-light">
			<div class="container">
				<a class="navbar-brand" href="index.html">
					<img src="{% static 'images/logo.png' %}" alt="" />
				</a>
				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbars-rs-food" aria-controls="navbars-rs-food" aria-expanded="false" aria-label="Toggle navigation">
				  <span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbars-rs-food">
					<ul class="navbar-nav ml-auto">
						<li class="nav-item"><a class="nav-link" href="{% url 'main:home' %}">Home</a></li>
						<li class="nav-item"><a class="nav-link" href="{% url 'search:idx' %}">Search</a></li>
						<li class="nav-item"><a class="nav-link" href="{% url 'add:add' %}">Add</a></li>
						<li class="nav-item dropdown">
							<a class="nav-link dropdown-toggle" href="#" id="dropdown-a" data-toggle="dropdown">Feedback</a>
							<div class="dropdown-menu" aria-labelledby="dropdown-a">
								<a class="dropdown-item" href="{% url 'review:ulasan' %}'">Nambah Ulasan</a>
								<a class="dropdown-item" href="{% url 'review:listReview' %}">blog Single</a>
							</div>
						</li>
					</ul>
				</div>
			</div>
		</nav>
	</header>
	<!-- End header -->
	
	<!-- Start All Pages -->
	<div class="all-page-title page-breadcrumb">
		<div class="container text-center">
			<div class="row">
				<div class="col-lg-12">
					<h1>Our Recipes!</h1>
				</div>
			</div>
		</div>
	</div>
	<!-- End All Pages -->
	
	<!-- Start blog -->
	<div class="blog-box">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="heading-title text-center">
						<h2>Our Recipes!</h2>

					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-4 col-md-6 col-12">
					<div class="blog-box-inner">
						
						<div class="blog-detail">
							<h4>RESEP1</h4>
							<a class="btn btn-lg btn-circle btn-outline-new-white" href="#">Read More</a>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
	<!-- End blog -->
	
	<!-- Start Contact info -->
	<div class="contact-imfo-box">
		<div class="container">
			<div class="row">
				<div class="col-md-4">
					<i class="fa fa-volume-control-phone"></i>
					<div class="overflow-hidden">
						<h4>Phone</h4>
						<p class="lead">
							+01 123-456-4590
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<i class="fa fa-envelope"></i>
					<div class="overflow-hidden">
						<h4>Email</h4>
						<p class="lead">
							yourmail@gmail.com
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<i class="fa fa-map-marker"></i>
					<div class="overflow-hidden">
						<h4>Location</h4>
						<p class="lead">
							800, Lorem Street, US
						</p>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- End Contact info -->
	
	<!-- Start Footer -->
	
	
	<a href="#" id="back-to-top" title="Back to top" style="display: none;">&uarr;</a>

	<!-- ALL JS FILES -->
	<script src="{% static 'js/jquery-3.2.1.min.js' %}"></script>
	<script src="{% static 'js/popper.min.js' %}"></script>
	<script src="{% static 'js/bootstrap.min.js' %}"></script>
    <!-- ALL PLUGINS -->
	
	<script src="{% static 'js/jquery.superslides.min.js' %}"></script>
	<script src="{% static 'js/images-loded.min.js' %}"></script>
	<script src="{% static 'js/isotope.min.js' %}"></script>
	<script src="{% static 'js/baguetteBox.min.js' %}"></script>
	<script src="{% static 'js/form-validator.min.js' %}"></script>
    <script src="{% static 'js/contact-form-script.js' %}"></script>
    <script src="{% static 'js/custom.js' %}"></script>
</body>
</html>

templates/review.html
<!DOCTYPE html>
{% load static %}
<html lang="en"><!-- Basic -->
<head>
	<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">   
   
    <!-- Mobile Metas -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
     <!-- Site Metas -->
    <title>Feedback</title>  
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Site Icons -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link rel="shortcut icon" href="{% static 'images/favicon.ico' %}" type="image/x-icon">
    <link rel="apple-touch-icon" href="{% static 'images/apple-touch-icon.png' %}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">    
	<!-- Site CSS -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}">    
    <!-- Responsive CSS -->
    <link rel="stylesheet" href="{% static 'css/responsive.css' %}">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="{% static 'css/custom.css' %}">

    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>
	<!-- Start header -->
	<header class="top-navbar">
		<nav class="navbar navbar-expand-lg navbar-light bg-light">
			<div class="container">
				<a class="navbar-brand" href="{% url 'profil:index' %}">
					ResePan by A14
				</a>
				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbars-rs-food" aria-controls="navbars-rs-food" aria-expanded="false" aria-label="Toggle navigation">
				  <span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbars-rs-food">
					<ul class="navbar-nav ml-auto">
						<li class="nav-item"><a class="nav-link" href="{% url 'main:home' %}">Home</a></li>
						<li class="nav-item"><a class="nav-link" href="{% url 'search:idx' %}">Search</a></li>
						<li class="nav-item"><a class="nav-link" href="{% url 'add:add' %}">Add</a></li>
						<li class="nav-item dropdown">
							<a class="nav-link dropdown-toggle" href="#" id="dropdown-a" data-toggle="dropdown">Feedback</a>
							<div class="dropdown-menu" aria-labelledby="dropdown-a">
								<a class="dropdown-item" href="{% url 'review:ulasan' %}'">Nambah Ulasan</a>
								<a class="dropdown-item" href="{% url 'review:listReview' %}">Daftar Ulasan</a>
							</div>
						</li>
						<li class="nav-item"><a class="nav-link" href="{% url 'profil:profile' %}">Profile</a></li>
					</ul>
				</div>
			</div>
		</nav>
	</header>
	<!-- End header -->
	
	<!-- Start All Pages -->
	<div class="all-page-title page-breadcrumb">
		<div class="container text-center">
			<div class="row">
				<div class="col-lg-12">
					<h1>Feedback!</h1>
				</div>
			</div>
		</div>
	</div>
	<!-- End All Pages -->
	
	<!-- Start Contact -->
	<div class="contact-box">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="heading-title text-center">
						<h2>Ulasan</h2>
						<p>Tolong berikan kami umpan balik tentang pengalaman Anda dalam menggunakan situs web kami!</p>
					</div>
				</div>
			</div>
				<form method="POST">
                    {% csrf_token %}
                    <div class="form-group">
                        {{form.nama_pengulas}}
                    </div>
                    <div class="form-group">
                        {{form.isi_ulasan}}
                    </div>
                    <button type="submit" class="btn btn-common">Submit</button>
                  </form>
		</div>
	</div>
	<!-- End Contact -->
	
	<!-- Start Contact info -->
	<div class="contact-imfo-box">
		<div class="container">
			<div class="row">
				<div class="col-md-4">
					<i class="fa fa-volume-control-phone"></i>
					<div class="overflow-hidden">
						<h4>Phone</h4>
						<p class="lead">
							+62-812-1158-8610
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<i class="fa fa-envelope"></i>
					<div class="overflow-hidden">
						<h4>Email</h4>
						<p class="lead">
							resepana14@gmail.com
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<i class="fa fa-map-marker"></i>
					<div class="overflow-hidden">
						<h4>Location</h4>
						<p class="lead">
							Fasilkom tercinta
						</p>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- End Footer -->
	
	<a href="#" id="back-to-top" title="Back to top" style="display: none;">&uarr;</a>

	<!-- ALL JS FILES -->
	<script src="{% static 'js/jquery-3.2.1.min.js' %}"></script>
	<script src="{% static 'js/popper.min.js' %}"></script>
	<script src="{% static 'js/bootstrap.min.js' %}"></script>
    <!-- ALL PLUGINS -->
	
	<script src="{% static 'js/jquery.superslides.min.js' %}"></script>
	<script src="{% static 'js/images-loded.min.js' %}"></script>
	<script src="{% static 'js/isotope.min.js' %}"></script>
	<script src="{% static 'js/baguetteBox.min.js' %}"></script>
	<script src="{% static 'js/jquery.mapify.js' %}"></script>
	<script src="{% static 'js/form-validator.min.js' %}"></script>
    <script src="{% static 'js/contact-form-script.js' %}"></script>
    <script src="{% static 'js/custom.js' %}"></script>
</body>
</html>

templates/searchresult.html
{% extends 'index.html' %}

{% block meta %}
<style>
	.cover {
	  object-fit: cover;
	}
</style>
{% endblock %}

{% block content %}
<div class="blog-box">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="heading-title text-center">
					<a href="{% url 'search:idx' %}">
						<h2>Our Recipes!</h2>
					</a>
					<br>
					<form method="POST">
						{% csrf_token %}
						{{ searchform }}
					</form>
				</div>
				{% if most_searched_keyword %}
				<div class="heading-title text-center">
					<p style="font-size: 14">Most Searched Recipe: 
						<a href="{{ most_searched_keyword.id }}">{{ most_searched_keyword.string }}</a>
					</p>
				</div>
				{% endif %}
			</div>
		</div>
		{% if allresep %}
		<div class="row">
			{% for resep in allresep %}
			<div class="col-lg-4 col-md-6 col-12" style="margin-bottom:50px; text-align: center; border-color: #cfa671">
				<div class="border border-light">
					<div class="blog-img-box">
						{% if resep.foto %}
							<img class = "cover"src="{{ resep.foto.url }}" width= "300px"
							height= "200px" style="margin:10px;">
						{% endif %}
					</div>
					<div class="blog-detail">
						<h4>{{ resep.nama }}</h4>
						<ul>
							<p>{{ resep.deskripsi }}</p>
							<p>{{ resep.porsi }}</p>
							<p>{{ resep.durasi }}</p>
						</ul>
						<a class="btn btn-lg btn-circle btn-outline-new-white" href="{% url 'add:detail' resep.id%}" style="margin:20px">Read More</a>
					</div>
				</div>
			</div>
			{% endfor %}
		{% else %}
			<div class="col-lg-12">
				<div class="heading-title text-center">
					<h2>We haven't add any Recipes yet :(</h2>
				</div>
			</div>
		{% endif %}
		</div>
		
			
			
	</div>
</div>



<div><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br></div>
{% endblock %}

templates/stuff.html
<!DOCTYPE html>
{% load static %}
<html lang="en"><!-- Basic -->
<head>
	<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">   
   
    <!-- Mobile Metas -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
     <!-- Site Metas -->
    <title>Daftar Ulasan</title>  
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Site Icons -->
    <link rel="shortcut icon" href="{% static 'images/favicon.ico' %}" type="image/x-icon">
    <link rel="apple-touch-icon" href="{% static 'images/apple-touch-icon.png' %}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">    
	<!-- Site CSS -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}">    
    <!-- Responsive CSS -->
    <link rel="stylesheet" href="{% static 'css/responsive.css' %}">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="{% static 'css/custom.css' %}">

    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>
	<!-- Start header -->
	<header class="top-navbar">
		<nav class="navbar navbar-expand-lg navbar-light bg-light">
			<div class="container">
				<a class="navbar-brand" href="{% url 'profil:index' %}">
					ResePan by A14
				</a>
				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbars-rs-food" aria-controls="navbars-rs-food" aria-expanded="false" aria-label="Toggle navigation">
				  <span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbars-rs-food">
					<ul class="navbar-nav ml-auto">
						<li class="nav-item"><a class="nav-link" href="{% url 'main:home' %}">Home</a></li>
						<li class="nav-item"><a class="nav-link" href="{% url 'search:idx' %}">Search</a></li>
						<li class="nav-item"><a class="nav-link" href="{% url 'add:add' %}">Add</a></li>
						<li class="nav-item dropdown">
							<a class="nav-link dropdown-toggle" href="#" id="dropdown-a" data-toggle="dropdown">Feedback</a>
							<div class="dropdown-menu" aria-labelledby="dropdown-a">
								<a class="dropdown-item" href="{% url 'review:ulasan' %}">Nambah Ulasan</a>
								<a class="dropdown-item" href="{% url 'review:listReview' %}">Daftar Ulasan</a>
							</div>
						</li>
						<li class="nav-item"><a class="nav-link" href="{% url 'profil:profile' %}">Profile</a></li>
					</ul>
				</div>
			</div>
		</nav>
	</header>
	<!-- End header -->
	
	<!-- Start All Pages -->
	<div class="all-page-title page-breadcrumb">
		<div class="container text-center">
			<div class="row">
				<div class="col-lg-12">
					<h1>Daftar Ulasan</h1>
				</div>
			</div>
		</div>
	</div>
	<!-- End All Pages -->
	
	<!-- Start Stuff -->
	<div class="stuff-box">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="heading-title text-center">
						<h2>Tim Pengembang ResePan</h2>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-4 col-sm-6">
					<div class="our-team">
						<img src="{% static 'images/rizky.png' %}">
						<div class="team-content">
							<h3 class="title">Muhammad Rizky Athallah</h3>
							<span class="post">Aplikasi Search</span>
						</div>
					</div>
				</div>

				<div class="col-md-4 col-sm-6">
					<div class="our-team">
						<img src="{% static 'images/alipeh.png' %}">
						<div class="team-content">
							<h3 class="title">Alifah Fatimah Azzahra Hardian</h3>
							<span class="post">Aplikasi Review</span>
						</div>
					</div>
				</div>

				<div class="col-md-4 col-sm-6">
					<div class="our-team">
						<img src="{% static 'images/farhan.png' %}">
						<div class="team-content">
							<h3 class="title">Muhammad Farhan</h3>
							<span class="post">Aplikasi Add</span>
						</div>
					</div>
				</div>

				<div class="col-md-4 col-sm-6">
					<div class="our-team">
						<img src="{% static 'images/cici.png' %}">
						<div class="team-content">
							<h3 class="title">Lilis Safitri</h3>
							<span class="post">Aplikasi Profil</span>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- End Stuff -->
	
	<!-- Start Customer Reviews -->
	<div class="customer-reviews-box">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="heading-title text-center">
						<h2>Daftar Ulasan</h2>
						<p>Terima kasih atas umpan baliknya. Kami berharap dengan umpan balik Anda, kami dapat meningkatkan pengalaman Anda di ResePan di masa mendatang!</p>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-8 mr-auto ml-auto text-center">
					<div id="reviews" class="carousel slide" data-ride="carousel">
						<div class="carousel-inner mt-4">
							<div class="carousel-item text-center active">
								<div class="img-box p-1 border rounded-circle m-auto">
									<img class="d-block w-100 rounded-circle" src="{% static 'images/rania.png' %}" alt="">
								</div>
								<h5 class="mt-4 mb-0"><strong class="text-warning text-uppercase">Rania Devina Nandini</strong></h5>
								<h6 class="text-dark m-0">Product Manager at Tokopedia</h6>
								<p class="m-0 pt-3">Saya belakangan ini sangat menyukai masak sejak memasukki WFH. Situs ResePan sangat membantu saya dalam meningkatkan skill memasak saya dengan menyediakan resep yang cukup mudah untuk diikuti.</p>
							</div>
			
							<div class="carousel-item text-center">
								<div class="img-box p-1 border rounded-circle m-auto">
									<img class="d-block w-100 rounded-circle" src="{% static 'images/wawa.png' %}" alt="">
								</div>
								<h5 class="mt-4 mb-0"><strong class="text-warning text-uppercase">Raniah Nur Hanami</strong></h5>
								<h6 class="text-dark m-0">Data Scientist at Telkom</h6>
								<p class="m-0 pt-3">Menurut sudah banyak situs yang memiliki konsep yang sama dengan ResePan namun ResePan tidak kalah saing dengan situs lainnya dengan konsep yang sama. Saya jauh lebih prefer untuk menggunakan ResePan untuk mencari resep mudah karena tidak memiliki fitur yang membingungkan dan mudah dipakai.</p>
							</div>
							<div class="carousel-item text-center">
								<div class="img-box p-1 border rounded-circle m-auto">
									<img class="d-block w-100 rounded-circle" src="{% static 'images/caca.png' %}" alt="">
								</div>
								<h5 class="mt-4 mb-0"><strong class="text-warning text-uppercase">Maisha Ameera Rifani</strong></h5>
								<h6 class="text-dark m-0">UI/UX Designer at Shopee</h6>
								<p class="m-0 pt-3">Menurut saya ResePan tidak memiliki desain yang konsistem namun memiliki warna palette yang netral dan cocok sesuai target persona dan tujuan situs.</p>
							</div>
							<div class="carousel-item text-center">
								<div class="img-box p-1 border rounded-circle m-auto">
									<img class="d-block w-100 rounded-circle" src="{% static 'images/ayuka.png' %}" alt="">
								</div>
								<h5 class="mt-4 mb-0"><strong class="text-warning text-uppercase">Ayuka Sonohata</strong></h5>
								<h6 class="text-dark m-0">Marketing Specialist at Tokopedia</h6>
								<p class="m-0 pt-3">Sebagai orang yang tidak begitu pandai memasak, ResePan membantu saya dalam mempelajari memasak. Terutama sejak saya WFH saya lebih sering masak sendiri dibandingkan memesan makanan secara online, dengan begitu saya dapat menghemat uang saya selama Pandemi Covid-19.</p>
							</div>
							<div class="carousel-item text-center">
								<div class="img-box p-1 border rounded-circle m-auto">
									<img class="d-block w-100 rounded-circle" src="{% static 'images/nadin.png' %}" alt="">
								</div>
								<h5 class="mt-4 mb-0"><strong class="text-warning text-uppercase">Marcia Nadin Pramasiwi</strong></h5>
								<h6 class="text-dark m-0">Data Analyst at Telkom</h6>
								<p class="m-0 pt-3">Saya sangat suka situs ResePan dan menurut saya situs ini sangat user-friendly. Tapi kenapa ya saat saya memasak resepnya malah gaenak -_- mungkin emang skill saya untuk masak masih kurang.</p>
							</div>
						</div>
						<a class="carousel-control-prev" href="#reviews" role="button" data-slide="prev">
							<i class="fa fa-angle-left" aria-hidden="true"></i>
							<span class="sr-only">Previous</span>
						</a>
						<a class="carousel-control-next" href="#reviews" role="button" data-slide="next">
							<i class="fa fa-angle-right" aria-hidden="true"></i>
							<span class="sr-only">Next</span>
						</a>
					</div>
			</div>		
		</div>
	</div>
	<div class="customer-reviews-box">
		<div class="container">
			<h3>Ulasan Lainnya</h3>
			<div class="row">
				<div class="col-lg-12">
		{% for ulasan in ulasan %}
	<div class="card-deck">
		<div class="card"> 
		  <div class="card-body">

			<h4 class="card-title">{{ulasan.nama_pengulas}}</h4>
			<p class="card-text">{{ulasan.isi_ulasan}}</p>
		  </div>
		  <div class="card-footer">
			<small class="text-muted">{{ulasan.tanggal_dibuat}}</small>
			<a href="{% url 'review:remove' id=ulasan.id %}">
				<button type="button" class="btn btn-common">Delete</button>
			</a>
		  </div>
		  
		</div>
	  </div>
	 {% endfor %}
</div>
			</div>
		</div>
	</div>
	</div>
	</div>

	
	<!-- End Customer Reviews -->
	
	<!-- Start Contact info -->
	<div class="contact-imfo-box">
		<div class="container">
			<div class="row">
				<div class="col-md-4">
					<i class="fa fa-volume-control-phone"></i>
					<div class="overflow-hidden">
						<h4>Phone</h4>
						<p class="lead">
							+62-812-1158-8610
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<i class="fa fa-envelope"></i>
					<div class="overflow-hidden">
						<h4>Email</h4>
						<p class="lead">
							resepana14@gmail.com
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<i class="fa fa-map-marker"></i>
					<div class="overflow-hidden">
						<h4>Location</h4>
						<p class="lead">
							Fasilkom tercinta
						</p>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- End Footer -->
	
	<a href="#" id="back-to-top" title="Back to top" style="display: none;">&uarr;</a>

	<!-- ALL JS FILES -->
	<script src="{% static 'js/jquery-3.2.1.min.js' %}"></script>
	<script src="{% static 'js/popper.min.js' %}"></script>
	<script src="{% static 'js/bootstrap.min.js' %}"></script>
    <!-- ALL PLUGINS -->
	<script src="{% static 'js/jquery.superslides.min.js' %}"></script>
	<script src="{% static 'js/images-loded.min.js' %}"></script>
	<script src="{% static 'js/isotope.min.js' %}"></script>
	<script src="{% static 'js/baguetteBox.min.js' %}"></script>
	<script src="{% static 'js/form-validator.min.js' %}"></script>
    <script src="{% static 'js/contact-form-script.js' %}"></script>
    <script src="{% static 'js/custom.js' %}"></script>
</body>
</html>